/* ubuntu-sans-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Ubuntu Sans';
  font-style: normal;
  font-weight: 400;
  src: url('./fonts/ubuntu-sans-v4-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* amarante-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Amarante';
  font-style: normal;
  font-weight: 400;
  src: url('./fonts/amarante-v30-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

:root {
    --evergreen: #132a13ff;
    --hunter-green: #31572cff;
    --fern: #4f772dff;
    --palm-leaf: #90a955ff;
    --lime-cream: #ecf39eff;

    --bg: var(--evergreen);
    --panel: var(--hunter-green);
    --text-lo: var(--palm-leaf);
    --text-hi: var(--lime-cream);
    --accent: var(--lime-cream);

    --space-1: 10px;
    --space-2: 20px;
    --space-3: 30px;
    --space-4: 40px;
    --space-5: 50px;
}

/* GLOBALS */
html {
    background: var(--bg);
    color: var(--text-lo);
    font-family: 'Ubuntu Sans';
}

body {
    padding: 0 10%;
}

.page-background-image {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100vh;
    z-index: -1;
}

* {
    padding: 0;
    margin: 0;
}

/* SPACING */

.mb-1 {
    margin-bottom: var(--space-1);
}

.mb-2 {
    margin-bottom: var(--space-2);
}

.mb-3 {
    margin-bottom: var(--space-3);
}

.mb-4 {
    margin-bottom: var(--space-4);
}

.mb-5 {
    margin-bottom: var(--space-5);
}

.mt-1 {
    margin-top: var(--space-1);
}

.mt-2 {
    margin-top: var(--space-2);
}

.mt-3 {
    margin-top: var(--space-3);
}

.mt-4 {
    margin-top: var(--space-4);
}

.mt-5 {
    margin-top: var(--space-5);
}

.ml-1 {
    margin-left: var(--space-1);
}

.ml-2 {
    margin-left: var(--space-2);
}

.ml-3 {
    margin-left: var(--space-3);
}

.ml-4 {
    margin-left: var(--space-4);
}

.ml-5 {
    margin-left: var(--space-5);
}

.mr-1 {
    margin-right: var(--space-1);
}

.mr-2 {
    margin-right: var(--space-2);
}

.mr-3 {
    margin-right: var(--space-3);
}

.mr-4 {
    margin-right: var(--space-4);
}

.mr-5 {
    margin-right: var(--space-5);
}

/* TEXT */
h1, h2, h3, h4, h5 {
    color: var(--text-hi);
    font-family: 'Amarante';
    margin: 0;
}

h1 {
    font-size: 46px;
}

h2 {
    font-size: 38px;
}

h3 {
    font-size: 32px;
}

h4 {
    font-size: 28px;
}

h5 {
    font-size: 24px;
}

p {
    font-size: 16px;
    margin: 0;
}

p.small {
    font-size: 12px;
}

/* LINKS */
a {
    color: var(--text-lo);
    text-decoration: none;
}

a:hover {
    color: var(--text-hi);
    text-decoration: underline;
}

a:visited:hover {
    color: var(--text-hi);
}

/* LISTS */
ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

li {
    padding: 0;
    margin: 0;
}

/* FLEX */
.flex {
    display: flex;
}

.flex.between {
    justify-content: space-between;
}

.flex.center {
    justify-content: center;
}

.flex.align-center {
    align-items: center;
}

/* COMPONENTS */
.page-content-wrapper {
    display: flex;
    flex-flow: row nowrap;
    width: 100%;
    padding-bottom: 40px;
}

.content-box {
    padding: 30px 20px;
    background: var(--bg);
    color: var(--text-lo);
    border-bottom: 4px double var(--accent);
    border-top: 4px double var(--accent);
    width: 100%;
    height: 100%;
}

.sidebar {
    width: 300px;
    margin-right: 40px;
    background: var(--bg);
}

.page-header {
    display: grid;
    grid-template-columns: 33% 33% 33%;
    flex-flow: row nowrap;
    border-bottom: 4px double var(--accent);
    border-top: 4px double var(--accent);
    padding: 20px 0;
    margin-bottom: 20px;
    background: var(--bg);
}

.page-header .moon-phase-container {
    flex-grow: 1;
}

.page-header h1 {
    text-align: center;
}

.page-header p {
    text-align: center;
    margin-bottom: 15px;
}

.page-header ul {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    width: 100%;
}

.page-header li {
    margin: 0 4px;
}

.moon-phase {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
}

.moon-phase p {
    margin: 0;
}

.page-footer {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
}

.page-footer > div {
    background: var(--bg);
}

.page-footer p {
    color: var(--text-lo);
    text-align: center;
    font-size: 10px;
}


/* POSTS */
.post-content p.small {
    font-size: 12px;
    color: var(--text-lo);
}

.post-content p {
    font-size: 20px;
    margin-bottom: var(--space-2);
}
